### Class method

# Gtk WidgetClass get_accessible_role

#### Declaration [src]

    GtkAccessibleRole
    gtk_widget_class_get_accessible_role (
      GtkWidgetClass* widget_class
    )

#### Description [src]

Retrieves the accessible role used by the given widget class.

Different accessible roles have different states, and are rendered differently by assistive technologies.

See also: `gtk_accessible_get_accessible_role()`.

#### Return value

Type: `GtkAccessibleRole`

The accessible role for the widget class.